# search-algorithms

## Findings

Times

---
BFS:
- 10: 0.052015
- 20: 0.05767
- 100: 0.123823
DFS:
- 10: 0.02199
- 20: 0.034288
- 100: 0.092118
UCBFS:
- 10: 0.141568
- 20: 0.288738
- 100: 1.31126

Lengths

---
UCBFS found the shortest paths but took the longest
DFS found very short paths with the fastest time
BFS found a common path to each node with the most equal length,
    but was only middle in speed


## Compiling the project

Prerequisites
  - C++11

In order to compile the project, simply run these two commands:

    cmake -B build -S .
    cmake --build build

## Running the Project
The program should now be compiled at ./build/bin/search-algorithms

Simply run the program using:

    build/bin/search-algorithms
